const GOODS_URI = require("../config.js").GOODS_URI;
const req = require("../utils/request").httpReq;

/**
 * 示例
 *  exports.方法名 = async ctx => {
 *    const url = `${设置好的域名}/向服务端发送的请求地址`;
 *    const opts = {
 *      url,
 *      method:"发送什么请求"，
 *      qs: ctx.request.query （get请求的参数）
 *      body：ctx.request.body （post请求的参数）
 *      json：boolean (是否转换为json)
 *    };
 *    ctx.body = await req(ctx,opts); 将发送请求后的数据传递给前端页面
 *  };
 */

exports.getCategoryList = async ctx => {
  const url = `${GOODS_URI}/goods/background/get_goods_category_list`;
  const opts = {
    url,
    method: "GET"
  };
  ctx.body = await req(ctx, opts);
};

exports.getList = async ctx => {
  const url = `${GOODS_URI}/goods/background/get_goods_list`;
  const opts = {
    url,
    method: "GET",
    qs: ctx.request.query
  };
  ctx.body = await req(ctx, opts);
};
